function [ newstr ] = remove_stress_markers( str )
% [ NEWSTR ] = REMOVE_STRESS_MARKERS ( STR )
% Odstrani z retezce str vsechny cisla a vrati retezec bez stress markers (cisla 1 a 2).

id = 1;
newstr = '';

for i = 1:length(str)
    
    % Pokud na dane pozici v textu neni zadna z cislic 1 a 2
    if str(i)~='1' & str(i)~='2'
        
        % ulozi znak do noveho retezce, ktery neobsahuje zadnou z vyse
        % uvedenych cislic.
        newstr(id) = str(i);
        % Pristi index zapisu se zvetsi o 1.
        id = id+1;
        
    end

end